Bug 85564 - Dead Island rendering issues
Summary: Dead Island rendering issues
Status: RESOLVED NOTOURBUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: glsl-compiler (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords:
: 93934 100618 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-10-28 16:28 UTC by Thomas Rohloff
Modified: 2017-11-11 07:49 UTC (History)
9 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (324.44 KB, text/plain)
2014-10-28 17:27 UTC, Thomas Rohloff
Details
dmesg > dmesg.txt (66.57 KB, text/plain)
2014-10-28 17:27 UTC, Thomas Rohloff
Details
gdb backtrace (19.76 KB, text/plain)
2015-02-04 12:28 UTC, Laurent carlier
Details
intel hd gdb backtrace (3.41 KB, text/plain)
2015-03-30 18:34 UTC, Geronimo Bareiro
Details
game saves (5.54 KB, text/plain)
2015-03-30 18:40 UTC, Geronimo Bareiro
Details
dmesg (141.86 KB, text/plain)
2015-06-30 20:53 UTC, thomas.lassdiesonnerein
Details
Xorg.0.log (332.93 KB, text/plain)
2015-06-30 20:54 UTC, thomas.lassdiesonnerein
Details
the konsole output of steam when the game crashes (1.34 MB, text/plain)
2015-06-30 20:59 UTC, thomas.lassdiesonnerein
Details
crash on DRI_PRIME=1 (2.21 KB, text/plain)
2016-06-01 02:36 UTC, Marcos Souza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Rohloff 2014-10-28 16:28:45 UTC
This was tested with a AMD Radeon HD 6950.
Good image (random screenshot taken from youtube) : http://picload.org/image/carrior/good.png
Bad image (rendered with r600g) : http://img5.picload.org/image/carrpgi/2014-10-28_00001.jpg

I'm not the only one with this problem, people are talking about it at phoronix ( http://www.phoronix.com/forums/showthread.php?108025-Dead-Island-GOTY-Now-Available-On-Linux-SteamOS ), in the steam forums ( http://steamcommunity.com/app/91310/discussions/0/613940109818649734/ ) and at other places.

Playing around with SB, HyperZ and LLVM didn't change anything (except LLVM which freezes the game before anything is painted to the screen).

If there's anything I can do to help tracking this down feel free to ask for it.
Comment 1 Alex Deucher 2014-10-28 17:01:39 UTC
Please attach your xorg log and dmesg output.
Comment 2 Thomas Rohloff 2014-10-28 17:27:07 UTC
Created attachment 108577 [details]
Xorg.0.log
Comment 3 Thomas Rohloff 2014-10-28 17:27:39 UTC
Created attachment 108578 [details]
dmesg > dmesg.txt
Comment 4 Laurent carlier 2014-10-28 18:00:42 UTC
Here is a trace grabbed with apitrace-5.0 with the following commandline "apitrace32 trace %command%" with radeonsi from git:

https://drive.google.com/file/d/0B1WCo3k21FK3Y0Fnc0dQZElneDA/view?usp=sharing
Comment 5 Sven Arvidsson 2014-12-07 20:22:57 UTC
Does rendering improve if you add this to drirc?

<application name="Dead Island" executable="DeadIslandGame">
   <option name="allow_glsl_extension_directive_midshader" value="true" />
</application>
Comment 6 Laurent carlier 2015-02-01 19:49:47 UTC

*** This bug has been marked as a duplicate of bug 87076 ***
Comment 7 Thomas Rohloff 2015-02-04 06:53:12 UTC
(In reply to Sven Arvidsson from comment #5)
> Does rendering improve if you add this to drirc?
> 
> <application name="Dead Island" executable="DeadIslandGame">
>    <option name="allow_glsl_extension_directive_midshader" value="true" />
> </application>

No, it just crashes the game.
Comment 8 Thomas Rohloff 2015-02-04 07:11:56 UTC
I just tried to run the game with gdb to track down the crash but with gdb it isn't crashing anymore. Anyway, the rendering issues are still there (without gdb and with the drirc setting it crashes while loading the scene).

Could it be that gdb somehow brings mesa to ignore the drirc settings?
Comment 9 Laurent carlier 2015-02-04 12:28:41 UTC
Created attachment 113154 [details]
gdb backtrace

backtrace grabbed with gdb attached to the pid
Comment 10 Laurent carlier 2015-02-04 12:33:52 UTC
I can see this in some lines:
m_Platform = OpenGL4

Probably the origin of the crash
Comment 11 Sven Arvidsson 2015-02-04 14:47:03 UTC
That's odd, I can run the game, but it crashes when loading the second level on the main campaign. However the "Ryder" campaign seems to work fine.

I'm also using r600g, but with a 5670.
Comment 12 Geronimo Bareiro 2015-03-30 18:32:32 UTC
Hello. I have an intel i3 4005u @1.7GHz with a intel HD 4400 and 4GB of memory.
I'm using arch linux 64 and I have installed mesa 10.5.2.

I noticed the backtrace and I have the same message. The game crash the same way.
The game works fine in Windows 8.1 (so my hardware should be capable of play this game).

I notice something though.

If I try to start a new game(or resume) with any character except with "Ryder" the game crash.

I played like 1 hour with Ryder campaign and the game seems to be fine.
But If I start the game (or resume the game) in the chapter 5 the game seems to be fine too.

So it might seems that the "world/map" of the first 4 chapters (the hotel and the beach part of the game) seems somewhat responsible of the crash because smaller maps seems to be ok.

Also I noticed that if you are playing and quit the current campaign (but you not quit the game) and play/resume/create another campaign the game will be broken...
you start outside of the map and start to take damage and die without being capable of do anything.
Comment 13 Geronimo Bareiro 2015-03-30 18:34:48 UTC
Created attachment 114732 [details]
intel hd gdb backtrace

On Intel i3 4005u @1.7GHz with a intel HD 4400 and 4GB of memory.
Arch Linux 64 and mesa 10.5.2.
Comment 14 Geronimo Bareiro 2015-03-30 18:40:23 UTC
Created attachment 114733 [details]
game saves

Xiaomi is in the chapter 5 and it seem to work.
Rayder at the beginning of the campaign.
The last character is in chapter 4, so it will crash the game.
Comment 15 Sven Arvidsson 2015-03-30 19:14:13 UTC
(In reply to Geronimo Bareiro from comment #12)
> Hello. I have an intel i3 4005u @1.7GHz with a intel HD 4400 and 4GB of
> memory.
> I'm using arch linux 64 and I have installed mesa 10.5.2.
> 
> I noticed the backtrace and I have the same message. The game crash the same
> way.

Is this a regression?

I'm playing the game with Mesa 10.4.2 with the r600g driver, and it's working fine. (Game is version 1.30)

This bug is getting a bit confusing, it was originally about a rendering problem with r600g, now it's about a crash on i965.
Comment 16 Thomas Rohloff 2015-03-30 20:05:29 UTC
(In reply to Sven Arvidsson from comment #15)
> I'm playing the game with Mesa 10.4.2 with the r600g driver, and it's
> working fine. (Game is version 1.30)

Weird, for me it's crashing (Mesa 10.5.2)
Comment 17 thomas.lassdiesonnerein 2015-06-30 19:16:47 UTC
(In reply to Geronimo Bareiro from comment #12)
> Hello. I have an intel i3 4005u @1.7GHz with a intel HD 4400 and 4GB of
> memory.
> I'm using arch linux 64 and I have installed mesa 10.5.2.
> 
> I noticed the backtrace and I have the same message. The game crash the same
> way.
> The game works fine in Windows 8.1 (so my hardware should be capable of play
> this game).
> 
> I notice something though.
> 
> If I try to start a new game(or resume) with any character except with
> "Ryder" the game crash.


Confirmed on radeonSI, mesa 10.5.7., kernel 4.0.5, llvm 3.6.1. (openSUSE Tumbleweed x64, Plasma5)
Game works only with the charakter Ryder.
Comment 18 José Suárez 2015-06-30 20:46:47 UTC
Just another me too.

Mesa 10.7~git1506270730.556dd4 with llvm 3.7 svn239931. Linux 4.1 rc8. Kubuntu 15.04 64bit.

The game crashes with regular characters even with the necessary override once the loading splash screen should come up. Loads fine with Ryder (and plays with a decent framerate), though.
Comment 19 thomas.lassdiesonnerein 2015-06-30 20:53:23 UTC
Created attachment 116830 [details]
dmesg
Comment 20 thomas.lassdiesonnerein 2015-06-30 20:54:43 UTC
Created attachment 116831 [details]
Xorg.0.log
Comment 21 thomas.lassdiesonnerein 2015-06-30 20:59:21 UTC
Created attachment 116833 [details]
the konsole output of steam when the game crashes
Comment 22 Timothy Arceri 2016-02-16 03:15:00 UTC
Piglit test that reproduces the crash on i965:

https://patchwork.freedesktop.org/patch/73891/
Comment 23 Timothy Arceri 2016-02-16 08:47:04 UTC
(In reply to Timothy Arceri from comment #22)
> Piglit test that reproduces the crash on i965:
> 
> https://patchwork.freedesktop.org/patch/73891/

Actually no this is just a buggy assert() on a debug build. I can't reproduce the crash the trace runs fine for me.
Comment 24 Marcos Souza 2016-06-01 02:36:17 UTC
Created attachment 124223 [details]
crash on DRI_PRIME=1

I have the same problem, but using both my fermi (NVD7) nvidia and my haswell GPUs.

It always crashes after picking a character and waiting for the loading. Before the game start, it crashes.

Let me know if I can do anything to help solving this problem.
Comment 25 John 2016-10-07 04:43:35 UTC
Same as Marcos on radeonsi :)
Comment 26 Marcos Souza 2016-10-07 10:24:36 UTC
(In reply to John from comment #25)
> Same as Marcos on radeonsi :)

Good to know this doesn't happen only for me :)
Comment 27 John 2016-10-14 15:21:25 UTC
Definitely not!
Hopefully someone with more knowledge will visit us again :)
Comment 28 John 2017-01-05 10:53:59 UTC
Is there anything we can do to help on this?
Comment 29 Marcos Souza 2017-01-06 00:02:48 UTC
Now it crashes:

LLOG: ==================================== HideBackgroundModule (ContinueChangeActiveLevelAfterFadeOnSyncfr) ========================
LLOG: ====================================== ShowBackgroundModule (0) mode 1 (ContinueChangeActiveLevelAfterFadeOnSyncfr)=============================
LLOG: [StartFadeIn]BLOCK input processing [Show] (id: 0 menu_fadeout), time_now: 1.4560
LLOG: UNBLOCK input processing [StartFadeIn] (id: 0 menu_fadeout), time_now: 1.4560
LLOG: EXPECTED UNBLOCK input processing for 0.3000 sec. [FadingIn] (id: 0 menu_fadeout), time_now: 1.4560
LLOG: Maximum grid 0x1a68f1dc memory usage: 8 kbytes
LLOG: [SessionCooperativeDI::Lobby_UpdateGameVisibility] Invisible (multiplayer_mode_available_by_session = FALSE )
LLOG: [SessionCooperativeDI::Lobby_UpdateMapZone] MapZone changed to -1
LLOG: [SessionDI::Lobby_UpdateMapCrcId] Setting Map (crc) id to: ffffffff
LLOG: [LobbyTools::Properties::SetMapCrcId] -1
LLOG: [SessionCooperativeDI::Lobby_UpdateGameVisibility] Invisible (multiplayer_mode_available_by_session = FALSE )
LLOG: [SessionDI::Lobby_UpdateMapCrcId] Setting Map (crc) id to: ffffffff
LLOG: [LobbyTools::Properties::SetMapCrcId] -1
*** buffer overflow detected ***: /mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame terminated
CLOG: [CInetAddr::SetLocalHost] 192.168.1.9
======= Backtrace: =========
/lib/libc.so.6(+0x6d3ba)[0xf70223ba]
/lib/libc.so.6(__fortify_fail+0x37)[0xf70c5a67]
/lib/libc.so.6(+0x10eba8)[0xf70c3ba8]
/lib/libc.so.6(+0x11098a)[0xf70c598a]
LLOG: UNBLOCK input processing [Hide] (id: 0 menu_fadeout), time_now: 1.7570
LLOG: [virtual void SessionDI::ChangeActiveLevel()]
LLOG: [ChangeActiveLevel] Change level...
LLOG: ====================================== ShowBackgroundModule (1) mode 2 (ChangeActiveLevel 1)=============================
LLOG: [GameDI::SetGameLevelState] 'NoLevel' -> 'Loading' (1) 
LLOG: [SessionCooperativeDI::Lobby_UpdateGameVisibility] Invisible (multiplayer_mode_available_by_session = FALSE )
LLOG: [SessionDI::Lobby_UpdateMapCrcId] Setting Map (crc) id to: 00001568
LLOG: [LobbyTools::Properties::SetMapCrcId] 5480
/mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame(_ZN7CSocket10SelectReadEi+0x50)[0x9d74130]
/mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame(_ZN3Net12CLocalClient18ReceiveFromNetworkEv+0x4d)[0x992b4dd]
/mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame(_ZN3Net12CLocalClient15UpdateReceivingEv+0x1a)[0x993213a]
/mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame(_ZN3Net12CLocalClient6UpdateEv+0x10)[0x9932d60]
/mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame(_ZN3Net12CLocalClient13NetworkThreadEPvR9sp_thread+0x50)[0x9932dd0]
/mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame[0x9e46a34]
/lib/libpthread.so.0(+0x64ee)[0xf772b4ee]
/lib/libc.so.6(clone+0x6e)[0xf70b402e]
======= Memory map: ========
08048000-0a908000 r-xp 00000000 08:06 17170841                           /mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame
0a908000-0a90a000 r--p 028c0000 08:06 17170841                           /mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame
0a90a000-0a910000 rw-p 028c2000 08:06 17170841                           /mnt/data/SteamLibrary/steamapps/common/Dead Island/DeadIslandGame
0a910000-0acba000 rw-p 00000000 00:00 0 
0c96b000-304f1000 rw-p 00000000 00:00 0                                  [heap]
d3200000-d3224000 rw-p 00000000 00:00 0 
d3224000-d3300000 ---p 00000000 00:00 0 
d3418000-d3420000 rw-s 00000000 00:05 423932                             /drm mm object (deleted)
d3420000-d3422000 rw-s 162a9f000 00:06 11718                             /dev/dri/card0
d3422000-d3423000 rw-s 162a9e000 00:06 11718                             /dev/dri/card0
d3423000-d3428000 rw-s 162a99000 00:06 11718                             /dev/dri/card0
d3428000-d342b000 rw-s 162a96000 00:06 11718                             /dev/dri/card0
d342b000-d343b000 rw-s 162a86000 00:06 11718                             /dev/dri/card0
d343b000-d3443000 rw-s 00000000 00:05 443429                             /drm mm object (deleted)
d3443000-d3445000 rw-s 162a7a000 00:06 11718                             /dev/dri/card0
d3445000-d3447000 rw-s 162a78000 00:06 11718                             /dev/dri/card0
d3447000-d3449000 rw-s 162a76000 00:06 11718                             /dev/dri/card0
d3449000-d344b000 rw-s 162a74000 00:06 11718                             /dev/dri/card0
d344b000-d345b000 rw-s 00000000 00:05 443426                             /drm mm object (deleted)
d345b000-d346b000 rw-s 00000000 00:05 443424                             /drm mm object (deleted)
d346b000-d347b000 rw-s 00000000 00:05 443423                             /drm mm object (deleted)
d347b000-d34fb000 rw-s 1629eb000 00:06 11718                             /dev/dri/card0
d357c000-d357d000 rw-s 162994000 00:06 11718                             /dev/dri/card0
d357d000-d357f000 rw-s 162992000 00:06 11718                             /dev/dri/card0
d357f000-d3580000 rw-s 162991000 00:06 11718                             /dev/dri/card0
d3580000-d3587000 rw-s 16298a000 00:06 11718                             /dev/dri/card0
d3587000-d358d000 rw-s 162982000 00:06 11718                             /dev/dri/card0
d358d000-d35bd000 rw-s 162952000 00:06 11718                             /dev/dri/card0
d35bd000-d35c2000 rw-s 16294d000 00:06 11718                             /dev/dri/card0
d35c2000-d35fa000 rw-s 162915000 00:06 11718                             /dev/dri/card0
d35fa000-d35ff000 rw-s 162910000 00:06 11718                             /dev/dri/card0
d35ff000-d3637000 rw-s 1628d8000 00:06 11718                             /dev/dri/card0
d3637000-d363c000 rw-s 1628d3000 00:06 11718                             /dev/dri/card0
d363c000-d3674000 rw-s 16289b000 00:06 11718                             /dev/dri/card0
d3674000-d3754000 rw-s 1627bb000 00:06 11718                             /dev/dri/card0
d3754000-d3762000 rw-s 1627ad000 00:06 11718                             /dev/dri/card0
d3762000-d3764000 rw-s 1627ab000 00:06 11718                             /dev/dri/card0
d3764000-d376e000 rw-s 16279f000 00:06 11718                             /dev/dri/card0
d376e000-d377e000 rw-s 162783000 00:06 11718                             /dev/dri/card0
d377e000-d3796000 rw-s 162764000 00:06 11718                             /dev/dri/card0
d3796000-d3806000 rw-s 1626ea000 00:06 11718                             /dev/dri/card0
d3806000-d381e000 rw-s 1626d0000 00:06 11718                             /dev/dri/card0
d381e000-d382c000 rw-s 1626c0000 00:06 11718                             /dev/dri/card0
d382c000-d384c000 rw-s 1626a0000 00:06 11718                             /dev/dri/card0
d384c000-d38ec000 rw-s 162600000 00:06 11718                             /dev/dri/card0
d38ec000-d3900000 rw-s 1625e4000 00:06 11718                             /dev/dri/card0
d3900000-d3970000 rw-s 16255c000 00:06 11718                             /dev/dri/card0
d3970000-d3a50000 rw-s 16244c000 00:06 11718                             /dev/dri/card0
d3a50000-d3b50000 rw-s 162334000 00:06 11718                             /dev/dri/card0
d3b50000-d3bc0000 rw-s 1622ac000 00:06 11718                             /dev/dri/card0
d3bc0000-d41c0000 rw-s 161c4c000 00:06 11718                             /dev/dri/card0
d41c0000-d4240000 rw-s 161b1a000 00:06 11718                             /dev/dri/card0
d4240000-d42c0000 rw-s 161a8a000 00:06 11718                             /dev/dri/card0
d42c0000-d4400000 rw-s 1618e1000 00:06 11718                             /dev/dri/card0
d4400000-d4440000 rw-p 00000000 00:00 0 
d4440000-d4500000 ---p 00000000 00:00 0 
d4500000-d4501000 rw-s 162989000 00:06 11718                             /dev/dri/card0
d4501000-d4503000 rw-s 1627a9000 00:06 11718                             /dev/dri/card0
d4503000-d450d000 rw-s 16275a000 00:06 11718                             /dev/dri/card0
d450d000-d453d000 rw-s 16252c000 00:06 11718                             /dev/dri/card0
d453d000-d45fd000 rw-s 161809000 00:06 11718                             /dev/dri/card0
d45fd000-d4900000 rw-p 00000000 00:00 0 
d4900000-d4902000 rw-s 162a72000 00:06 11718                             /dev/dri/card0
d4902000-d4904000 rw-s 162a70000 00:06 11718                             /dev/dri/card0
d4904000-d4906000 rw-s 162a6e000 00:06 11718                             /dev/dri/card0
d4906000-d4908000 rw-s 162a6c000 00:06 11718                             /dev/dri/card0
d4908000-d4918000 rw-s 00000000 00:05 443422                             /drm mm object (deleted)
d4918000-d4919000 rw-s 162a6b000 00:06 11718                             /dev/dri/card0
d4919000-d491c000 rw-s 1629e8000 00:06 11718                             /dev/dri/card0
d491c000-d4924000 rw-s 00000000 00:05 443421                             /drm mm object (deleted)
d49a5000-d49ad000 rw-s 00000000 00:05 441203                             /drm mm object (deleted)
d49ad000-d49ae000 rw-s 1629e7000 00:06 11718                             /dev/dri/card0
d49ae000-d49af000 rw-s 1629e6000 00:06 11718                             /dev/dri/card0
d49af000-d49b0000 rw-s 1629e5000 00:06 11718                             /dev/dri/card0
d49b0000-d49b1000 rw-s 1629e4000 00:06 11718                             /dev/dri/card0
d49b1000-d49b2000 rw-s 1629e3000 00:06 11718                             /dev/dri/card0
d49b2000-d49b3000 rw-s 1629e2000 00:06 11718                             /dev/dri/card0
d49b3000-d49b5000 rw-s 1629e0000 00:06 11718                             /dev/dri/card0
d49b5000-d49c3000 rw-s 1629d2000 00:06 11718                             /dev/dri/card0
d49c3000-d49c8000 rw-s 1629cd000 00:06 11718                             /dev/dri/card0
d49c8000-d4a00000 rw-s 162995000 00:06 11718                             /dev/dri/card0
d4a00000-d4a01000 rw-s 162988000 00:06 11718                             /dev/dri/card0
d4a01000-d4a03000 rw-s 16279d000 00:06 11718                             /dev/dri/card0
d4a03000-d4a05000 rw-s 16279b000 00:06 11718                             /dev/dri/card0
d4a05000-d4a08000 rw-s 162797000 00:06 11718                             /dev/dri/card0
d4a08000-d4a18000 rw-s 00000000 00:05 441127                             /drm mm object (deleted)
d4a18000-d4a78000 rw-s 16224c000 00:06 11718                             /dev/dri/card0
d7a00000-d7b00000 rw-p 00000000 00:00 0 
d7b00000-d7b01000 rw-s 16279a000 00:06 11718                             /dev/dri/card0
d7b01000-d7b19000 rw-s 1625cc000 00:06 11718                             /dev/dri/card0
d7b19000-d7c1a000 rw-p 00000000 00:00 0 
d928c000-d9900000 rw-p 00000000 00:00 0 
d9900000-d996c000 rw-p 00000000 00:00 0 
d996c000-d9a00000 ---p 00000000 00:00 0 
d9a00000-d9a04000 rw-s 162793000 00:06 11718                             /dev/dri/card0
d9a04000-d9a14000 rw-s 00000000 00:05 441126                             /drm mm object (deleted)
d9a14000-d9a2c000 rw-s 162434000 00:06 11718                             /dev/dri/card0
d9a2c000-d9a44000 rw-s 16231c000 00:06 11718                             /dev/dri/card0
d9a44000-d9a5c000 rw-s 161b9a000 00:06 11718                             /dev/dri/card0
d9d00000-d9e00000 rw-p 00000000 00:00 0 
d9e00000-d9e07000 rw-s 16277c000 00:06 11718                             /dev/dri/card0
d9e07000-d9e09000 rw-s 1626e8000 00:06 11718                             /dev/dri/card0
d9e09000-d9e0e000 rw-s 1625fa000 00:06 11718                             /dev/dri/card0
d9e0e000-d9e36000 rw-s 161a51000 00:06 11718                             /dev/dri/card0
d9e36000-d9eb6000 rw-s 16177b000 00:06 11718                             /dev/dri/card0
d9eb6000-d9ed6000 rw-s 15e7c4000 00:06 11718                             /dev/dri/card0
d9ed6000-d9ed8000 rw-s 1626ce000 00:06 11718                             /dev/dri/card0
d9ed8000-d9ee8000 rw-s 00000000 00:05 441125                             /drm mm object (deleted)
d9ee8000-d9f18000 rw-s 161a21000 00:06 11718                             /dev/dri/card0
d9f18000-d9f30000 rw-s 1618c9000 00:06 11718                             /dev/dri/card0
da78c000-da94c000 rw-s 16391c000 00:06 11718                             /dev/dri/card0
da94c000-dab0c000 rw-s 16375c000 00:06 11718                             /dev/dri/card0
dab0c000-daccc000 rw-s 16359c000 00:06 11718                             /dev/dri/card0
daccc000-daccd000 rw-s 1625ff000 00:06 11718                             /dev/dri/card0
daccd000-daccf000 rw-s 1625f8000 00:06 11718                             /dev/dri/card0
daccf000-dacd0000 rw-s 161b19000 00:06 11718                             /dev/dri/card0
dacd0000-dacd2000 rw-s 161b16000 00:06 11718                             /dev/dri/card0
dacd2000-dacdc000 rw-s 161b0c000 00:06 11718                             /dev/dri/card0
dacdc000-dacea000 rw-s 1617fb000 00:06 11718                             /dev/dri/card0
dacea000-dadeb000 rw-p 00000000 00:00 0 
daf3d000-daf7d000 rw-s 15fc0e000 00:06 11718                             /dev/dri/card0
dafd8000-db198000 rw-s 1632fc000 00:06 11718                             /dev/dri/card0
db198000-db199000 ---p 00000000 00:00 0 
db199000-db999000 rw-p 00000000 00:00 0 
dba76000-dbb56000 rw-s 163adc000 00:06 11718                             /dev/dri/card0
dbb56000-dbd16000 rw-s 16313c000 00:06 11718                             /dev/dri/card0
dbd16000-dbf96000 rw-s 160dfd000 00:06 11718                             /dev/dri/card0
dbf96000-dbf97000 rw-s 161b18000 00:06 11718                             /dev/dri/card0
dbf97000-dbf99000 rw-s 161b0a000 00:06 11718                             /dev/dri/card0
dbf99000-dbfa3000 rw-s 161a80000 00:06 11718                             /dev/dri/card0
dbfa3000-dbfbf000 rw-s 16174b000 00:06 11718                             /dev/dri/card0
dc031000-dc111000 rw-s 1634bc000 00:06 11718                             /dev/dri/card0
dc111000-dc119000 rw-s 161103000 00:06 11718                             /dev/dri/card0
dc119000-dc11d000 rw-s 1610ff000 00:06 11718                             /dev/dri/card0
dc11d000-dc125000 rw-s 1610f7000 00:06 11718                             /dev/dri/card0
dc125000-dc129000 rw-s 1610f3000 00:06 11718                             /dev/dri/card0
dc129000-dc131000 rw-s 1610eb000 00:06 11718                             /dev/dri/card0
dc131000-dc141000 rw-s 1610db000 00:06 11718                             /dev/dri/card0
dc141000-dc143000 rw-s 1610d9000 00:06 11718                             /dev/dri/card0
dc143000-dc144000 rw-s 1610d8000 00:06 11718                             /dev/dri/card0
dc144000-dc146000 rw-s 1610d6000 00:06 11718                             /dev/dri/card0
dc146000-dc147000 rw-s 1610d5000 00:06 11718                             /dev/dri/card0
dc147000-dc14f000 rw-s 1610cd000 00:06 11718                             /dev/dri/card0
dc14f000-dc153000 rw-s 1610c9000 00:06 11718                             /dev/dri/card0
dc153000-dc15b000 rw-s 1610c1000 00:06 11718                             /dev/dri/card0
dc15b000-dc15f000 rw-s 1610bd000 00:06 11718                             /dev/dri/card0
dc15f000-dc167000 rw-s 1610b5000 00:06 11718                             /dev/dri/card0
dc167000-dc16f000 rw-s 1610ad000 00:06 11718                             /dev/dri/card0
dc16f000-dc173000 rw-s 1610a9000 00:06 11718                             /dev/dri/card0
dc173000-dc17b000 rw-s 1610a1000 00:06 11718                             /dev/dri/card0
dc17b000-dc17f000 rw-s 16109d000 00:06 11718                             /dev/dri/card0
dc17f000-dc187000 rw-s 161095000 00:06 11718                             /dev/dri/card0
dc187000-dc18b000 rw-s 161091000 00:06 11718                             /dev/dri/card0
dc18b000-dc193000 rw-s 161089000 00:06 11718                             /dev/dri/card0
dc193000-dc197000 rw-s 161085000 00:06 11718                             /dev/dri/card0
dc197000-dc199000 rw-s 161083000 00:06 11718                             /dev/dri/card0
dc199000-dc19a000 rw-s 161082000 00:06 11718                             /dev/dri/card0
dc19a000-dc19c000 rw-s 161080000 00:06 11718                             /dev/dri/card0
dc19c000-dc19d000 rw-s 16107f000 00:06 11718                             /dev/dri/card0
dc19d000-dc19f000 rw-s 16107d000 00:06 11718                             /dev/dri/card0
dc19f000-dc1d7000 rw-s 160dc5000 00:06 11718                             /dev/dri/card0
dc1d7000-dc247000 rw-s 160d55000 00:06 11718                             /dev/dri/card0
dc247000-dc27f000 rw-s 160d1d000 00:06 11718                             /dev/dri/card0
dc27f000-dc287000 rw-s 160d15000 00:06 11718                             /dev/dri/card0
dc287000-dc28b000 rw-s 160d11000 00:06 11718                             /dev/dri/card0
dc28b000-dc28f000 rw-s 160d0d000 00:06 11718                             /dev/dri/card0
dc28f000-dc297000 rw-s 160d05000 00:06 11718                             /dev/dri/card0
dc297000-dc29f000 rw-s 160cfd000 00:06 11718                             /dev/dri/card0
dc29f000-dc2bf000 rw-s 160cdd000 00:06 11718                             /dev/dri/card0
dc2bf000-dc2f7000 rw-s 160ca5000 00:06 11718                             /dev/dri/card0
dc2f7000-dc317000 rw-s 160c85000 00:06 11718                             /dev/dri/card0
dc317000-dc34f000 rw-s 160c4d000 00:06 11718                             /dev/dri/card0
dc34f000-dc351000 rw-s 160c4b000 00:06 11718                             /dev/dri/card0
dc351000-dc359000 rw-s 160c43000 00:06 11718                             /dev/dri/card0
dc359000-dc35a000 rw-s 160c42000 00:06 11718                             /dev/dri/card0
dc35a000-dc35c000 rw-s 160c40000 00:06 11718                             /dev/dri/card0
dc35c000-dc360000 rw-s 160c3c000 00:06 11718                             /dev/dri/card0
dc360000-dc362000 rw-s 160c3a000 00:06 11718                             /dev/dri/card0
dc362000-dc382000 rw-s 160c1a000 00:06 11718                             /dev/dri/card0
dc382000-dc3a2000 rw-s 160bfa000 00:06 11718                             /dev/dri/card0
dc3a2000-dc3c2000 rw-s 160bda000 00:06 11718                             /dev/dri/card0
dc3c2000-dc3e2000 rw-s 160bba000 00:06 11718                             /dev/dri/card0
dc3e2000-dc402000 rw-s 160b9a000 00:06 11718                             /dev/dri/card0
dc402000-dc40a000 rw-s 160b92000 00:06 11718                             /dev/dri/card0
dc40a000-dc42a000 rw-s 160b72000 00:06 11718                             /dev/dri/card0
dc42a000-dc42b000 rw-s 00000000 00:05 420656                             /drm mm object (deleted)
dc42b000-dc42c000 rw-s 00000000 00:05 420655                             /drm mm object (deleted)
dc42c000-dc42e000 rw-s 00000000 00:05 419409                             /drm mm object (deleted)
dc42e000-dc442000 rw-s 160b5e000 00:06 11718                             /dev/dri/card0
dc442000-dc456000 rw-s 160b4a000 00:06 11718                             /dev/dri/card0
dc456000-dc46a000 rw-s 160b36000 00:06 11718                             /dev/dri/card0
dc46a000-dc47a000 rw-s 160b26000 00:06 11718                             /dev/dri/card0
dc47a000-dc49a000 rw-s 160b06000 00:06 11718                             /dev/dri/card0
dc49a000-dc4ba000 rw-s 160ae6000 00:06 11718                             /dev/dri/card0
dc4ba000-dc4be000 rw-s 160ae2000 00:06 11718                             /dev/dri/card0
dc4be000-dc52e000 rw-s 160a72000 00:06 11718                             /dev/dri/card0
dc52e000-dc566000 rw-s 160a3a000 00:06 11718                             /dev/dri/card0
dc566000-dc567000 rw-s 00000000 00:05 420626                             /drm mm object (deleted)
dc567000-dc56f000 rw-s 160a32000 00:06 11718                             /dev/dri/card0
dc56f000-dc573000 rw-s 160a2e000 00:06 11718                             /dev/dri/card0
dc573000-dc577000 rw-s 160a2a000 00:06 11718                             /dev/dri/card0
dc577000-dc57f000 rw-s 160a22000 00:06 11718                             /dev/dri/card0
dc57f000-dc583000 rw-s 160a1e000 00:06 11718                             /dev/dri/card0
dc583000-dc593000 rw-s 160a0e000 00:06 11718                             /dev/dri/card0
dc593000-dc597000 rw-s 160a0a000 00:06 11718                             /dev/dri/card0
dc597000-dc599000 rw-s 160a07000 00:06 11718                             /dev/dri/card0LLOG: [BaseSettings::ApplyVolumes] music_volume
Comment 30 John 2017-04-09 15:40:40 UTC
I just tried and finally made it in game with one of the first 4 characters on a 280X using radeonsi (and amdgpu, my previous tries were with radeon, it shouldn't affect this but...).

I'm happy that it doesn't crash anymore! Unfortunately, the display is similar to the picture in post 1, only with less colors and more blur.
Comment 31 Sven Arvidsson 2017-04-09 17:43:22 UTC
This game is odd, I have clocked 50 hours of gameplay (the majority with r600g quite a bit with radeonsi). 

At the moment (with radeonsi, Tonga, 13.0.5) I can load a saved game to one the abandoned buildings fine, but travel anywhere else (Laboratory, City etc.) results in instant segfault. 

Rendering is fine and has never been a problem for me. 

Wouldn't expect any help from the game devs, they disowned the port and it doesn't seem to be available to buy on Steam any longer.

I think giving up on this one as NOTOURBUG and telling people who bought it to try the Windows version in Wine instead would be the best resolution
Comment 32 John Brooks 2017-05-08 05:15:13 UTC
I ran strace on the game and noticed that near the segfault it was getting -EMFILE on open() calls. It had opened thousands of files on DI/out/cache/glsl, all length 0. And it was hitting the file descriptor limit.

My theory is that it tries to glGetProgramBinary all the shaders and cache them. So it opens a file for the shader, calls glGetProgramBinary (which fails), and mishandles the failure by leaving the file descriptor open. And then it fails to handle the fact that it can't open any more files, and calls strchr() with a null pointer. Segfault.

And indeed, running the game with MESA_DEBUG=1 floods the console with "Mesa: User error: GL_INVALID_OPERATION in glGetProgramBinary(driver supports zero binary formats)" every time it compiles a shader.

Try launching the game with prlimit -n65535. I recommend doing this by going to Dead Island's properties in Steam and set launch options to:
prlimit -n65535 %command%

That might fix the game for you. It did for me. It may still crash later on if it compiles enough shaders (and opens enough files to attempt to cache them) to exceed the limit again. But it's a start.

Also, using the command line to launch this game will get you into trouble if your LD_LIBRARY_PATH is wrong (to get the right one, check "/proc/[DeadIslandGame's PID]/environ | xargs -0 echo" when Steam launches it). To avoid this hassle just launch it from Steam.
Comment 33 at46n 2017-05-09 15:07:43 UTC
"prlimit -n65535 %command%" as launch option doesn't work for me, but starting the game and change the limit with "prlimit --pid PIDofDeadIsland -n65535" works. Thanks John.
Comment 34 at46n 2017-05-09 17:47:03 UTC
*** Bug 100618 has been marked as a duplicate of this bug. ***
Comment 35 Sven Arvidsson 2017-05-17 17:13:52 UTC
Thanks John! Upping the limit of open files sure did the trick, I have finally finished the game.

It seems quite well behaved now, no crashes or rendering issues at all from chapter 13 to the end.

The directors cut of Wasteland 2 had a similar problem with open files.
Comment 36 Timothy Arceri 2017-10-26 23:28:55 UTC
*** Bug 93934 has been marked as a duplicate of this bug. ***
Comment 37 Timothy Arceri 2017-11-11 07:49:54 UTC
The bad news is this is a game bug that will never be resolved. 

The good news is that with full ARB_get_program_binary support implemented this game now works great. An implementation should land for this in 17.3 for i965 and hopefully the gallium based drivers.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.